Scrapbook - plugin detail

Scrapbook

NetBeans Plugin - Scrapbook
Plugin owner: geertjan
Website: blogs.oracle.com/geertjan
Added: 2013-08-20
License: CDDL
Category: Editing
Downloaded: 692 times
Rating:
 4.45, by 1 users

Plugin Log Show log

Versions available

Download plugin   Download size: 0.01 MB   Last Update: 2013-08-21

What's new in this version

1.1: Fixed a wrong registration in the layer file.

Verifications for NetBeans versions

Plugin is not subject to any verification



Introduction

Keep track of code snippets and run them against the project's classpath.

User Comments

  

ScrapBook for NetBeans 8

Yes please upgrade this plugin for NetBean 8
Posted by icRaven on Oct 20, 2015
  

Please update for NetBeans 8

Please upgrade this plugin for Netbeans 8.
Posted by sknitelius on Jun 23, 2015
  

Just receive errors

/tmp/_.java:1: warning: '_' used as an identifier
public class _ {
^
(use of '_' as an identifier might not be supported in releases after Java SE 8)
/tmp/_.java:3: error: ';' expected
System.out.println("Hello World")
^
Posted by jessgwiii on Apr 26, 2015
  

Multiple Snippets? Docs?

Are there docs for this? Wondering if there is a way to "save" snippets (i.e., have multiple snippets). Also - what packages are imported by default? Noticing "System.out.println()" does nothing when used - using "println()" seems to work. Seems odd. Thanks.
Posted by mandrews on Aug 27, 2013
  

FYI: Java 7 warnings

warning: Supported source version 'RELEASE_6' from annotation processor 'org.netbeans.modules.openide.modules.PatchedPublicProcessor' less than -source '1.7'
warning: Supported source version 'RELEASE_6' from annotation processor 'org.netbeans.modules.openide.util.ServiceProviderProcessor' less than -source '1.7'
warning: Supported source version 'RELEASE_6' from annotation processor 'org.netbeans.modules.openide.util.NamedServiceProcessor' less than -source '1.7'
warning: Supported source version 'RELEASE_6' from annotation processor 'org.netbeans.modules.openide.util.NbBundleProcessor' less than -source '1.7'
Posted by mandrews on Aug 27, 2013
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo